> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lead.bank/llms.txt
> Use this file to discover all available pages before exploring further.

# Simulate Incoming Instant Payment Return Request

> Simulate an incoming instant payment return request.



## OpenAPI

````yaml POST /v1/simulate/instant_payments/{instant_payment_id}/incoming_return_request
openapi: 3.0.1
info:
  title: Lead Bank
  description: Lead Bank's APIs
  version: v1.0
servers:
  - url: https://api.sandbox.lead.bank
  - url: https://api.lead.bank
security:
  - bearerAuth: []
tags:
  - name: ACH
  - name: Account Number
  - name: OAuth
  - name: Events
  - name: Instant Payments
  - name: Lending
  - name: Simulation
  - name: Internal Transfer
  - name: Disbursement
  - name: Entity
  - name: Wire
  - name: Originator
  - name: Funding
  - name: Balances
  - name: Compliance
  - name: UserAccount
  - name: Blockchain Payment
paths:
  /v1/simulate/instant_payments/{instant_payment_id}/incoming_return_request:
    post:
      tags:
        - Simulation
      summary: Simulate Incoming Instant Payment Return Request
      description: Simulate an incoming instant payment return request.
      operationId: simulate-incoming-instant-payment-return-request
      parameters:
        - name: Idempotency-Key
          in: header
          description: Idempotency key
          required: true
          schema:
            type: string
            maxLength: 255
        - name: instant_payment_id
          description: ID of the instant payment object you want to request a return for.
          example: instant_payment_xyz001
          in: path
          required: true
          schema:
            type: string
            pattern: ^instant_payment_\w+$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - reason
              properties:
                reason:
                  $ref: >-
                    #/components/schemas/OutgoingInstantPaymentReturnRequestReason
                  description: The reason for the return request.
                additional_information:
                  type: string
                  maxLength: 140
                  description: Accompanying free text explanation for the reason.
      responses:
        '200':
          description: >-
            Intentionally empty - instant payment record will be updated with
            return request details asynchronously.
        '400':
          description: Your request parameters did not validate.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
        '404':
          description: Instant payment not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
        '422':
          description: We couldn't process your request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
components:
  schemas:
    OutgoingInstantPaymentReturnRequestReason:
      type: string
      description: |-
        The reason for initiating a return request.
        * `creditor_account_number_invalid` - Invalid creditor account number
        * `wrong_amount` - Wrong amount
        * `customer_requested` - Requested by customer
        * `duplication` - Duplicate payment
        * `fraud_suspected` - Fraud suspected
        * `narrative` - Narrative reason, additional_information required
        * `service_not_rendered` - Service not rendered
        * `technical_problem` - Technical problem
        * `undue_payment` - Unduly paid
      example: duplication
      enum:
        - creditor_account_number_invalid
        - wrong_amount
        - customer_requested
        - duplication
        - fraud_suspected
        - narrative
        - service_not_rendered
        - technical_problem
        - undue_payment
    APIError:
      type: object
      properties:
        code:
          type: string
          description: The error code.
        title:
          type: string
          description: The error title.
        detail:
          type: string
          description: A detailed error description.
        status:
          type: string
          description: The HTTP status code.
        invalid_parameters:
          type: array
          description: Invalid request parameters with reasons, if applicable.
          items:
            $ref: '#/components/schemas/InvalidParameterDetail'
        instance:
          type: string
          description: >-
            The object causing this specific occurrence of the error, if
            applicable.
    InvalidParameterDetail:
      type: object
      properties:
        parameter:
          type: string
          description: Which parameter is invalid.
          example: transaction_type
        reason:
          type: string
          description: Why the parameter is invalid.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````